Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 176744 - Missing dependencies in libXft-devel package
Summary: Missing dependencies in libXft-devel package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libXft
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 171491 FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-12-31 18:30 UTC by Dawid Gajownik
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-03 10:45:53 UTC


Attachments (Terms of Use)

Description Dawid Gajownik 2005-12-31 18:30:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20051228 SeaMonkey/1.5a

Description of problem:
libXft-devel should require xorg-x11-proto-devel and fontconfig-devel packages.

Version-Release number of selected component (if applicable):
libXft-devel-2.1.8.2-1

How reproducible:
Always

Steps to Reproduce:
1. Run fedora-rmdevelrpms
2. yum install libXft-devel pkgconfig
3. pkg-config --libs xft
  

Actual Results:  
[y4kk0@X ~]$ rpm -qf /usr/lib/pkgconfig/xft.pc
libXft-devel-2.1.8.2-1
[y4kk0@X ~]$ pkg-config --libs xft
Package xproto was not found in the pkg-config search path.
Perhaps you should add the directory containing `xproto.pc'
to the PKG_CONFIG_PATH environment variable
Package 'xproto', required by 'Xft', not found
[y4kk0@X ~]$

After installing xorg-x11-proto-devel:

[y4kk0@X ~]$ pkg-config --libs xft
Package fontconfig was not found in the pkg-config search path.
Perhaps you should add the directory containing `fontconfig.pc'
to the PKG_CONFIG_PATH environment variable
Package 'fontconfig', required by 'Xft', not found
[y4kk0@X ~]$ cat /usr/lib/pkgconfig/xft.pc
prefix=/usr
exec_prefix=/usr
libdir=/usr/lib
includedir=/usr/include

Name: Xft
Description: X FreeType library
Version: 2.1.8.2
Requires: xproto, xrender, fontconfig, freetype2
Requires.private: xrender, fontconfig, freetype2
Cflags: -I${includedir}
Libs: -L${libdir} -lXft
[y4kk0@X ~]$

Additional info:

Comment 1 Mike A. Harris 2006-02-03 10:45:53 UTC
Thanks, fixed in 2.1.8.2-3


Note You need to log in before you can comment on or make changes to this bug.